Apache JMeter

## org.apache.jmeter.util
Class ColorHelper

    java.lang.Object
      org.apache.jmeter.util.ColorHelper

    public final class ColorHelper

extends Object

This class contains the static utility methods to manipulate colors.

Version:
  $Revision: 674365 $

Method Summary
`static Color` `changeColorCyclicIncrement(Color col, int inc)` Given the `Color`, get the red, green and blue components.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### changeColorCyclicIncrement

    public static Color changeColorCyclicIncrement(Color col,
                                                   int inc)

  Given the `Color`, get the red, green and blue components. Increment the lowest of the components by the indicated increment value. If all the components are the same value increment in the order of red, green and blue.

  Parameters:
    `inc` - value to increment the color components
  Returns:
    the color after change

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.